Bug 137746 - When running gdmflexiserver screensaver consumes CPU cycles
Summary: When running gdmflexiserver screensaver consumes CPU cycles
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-31 23:45 UTC by Douglas Furlong
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 21:30:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Douglas Furlong 2004-10-31 23:45:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I am not sure if this is some thing for gdmflexiserver, or xscreensaver.

I am currently using gdmflexiserver to allow two people to use the
system with out each person having to log out.

Unfortunately, One of the users has a screensaver configure to come on
after X number of minutes. This is fine when just this user is logged
in and using the system. However, it also happens when the second user
is logged in via gdmflexiserver.

This can slow down the system.

Ideally if gdmflexiserver was running, then if the screensaver is set
to come on, as apposed to actually "running" it would lock the screen,
but not run the screen saver unless that virtual terminal (right
terminology?) has focus.

Version-Release number of selected component (if applicable):
gdm-2.6.0.5-6

How reproducible:
Always

Steps to Reproduce:
1. log in as user a, run gdmflexiserver
2. log in as user b and work for a while.
3. Once time has passed, user A's screensaver is activated and CPU
usage increases.
    

Actual Results:  Screen saver for inactive user starts and consumes
CPU cycles

Expected Results:  If "screen locking" is part of the screen saver,
then lock the screen, but do not start the "graphics" unless that
screen has focus.

Additional info:

Comment 1 Ray Strode [halfline] 2004-11-10 15:41:52 UTC
Hmmm... Looking at the code it should already do this.  When the CPU
usage goes up, if you press ctrl-alt-f7 to go back to the first user's
login, is a cpu-intensive screensaver up and running?

Comment 2 Douglas Furlong 2004-11-10 15:50:27 UTC
When I hit CTRL+ALT+F7 I can't be 100% sure if the visuals were
running, however when I am in CTRL+ALT+F8, and work for a while, I
will find that the X usage will max out.

This is not caused by the active session, if I go back to the
original, type in the xscreensaver password, and then go back to
CTRL+ALT+F8 cpu usage is back to normal.

Comment 3 Ray Strode [halfline] 2004-11-10 19:45:04 UTC
Hi Douglas,

So when you press ctrl+alt+f7 you don't see a screensaver running?

Comment 4 Ray Strode [halfline] 2005-05-11 21:30:29 UTC
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.


Note You need to log in before you can comment on or make changes to this bug.